//create the window
exports.mapa = function(navController) {
var win1 = Titanium.UI.createWindow({  
    title:'Metro MX',
    backgroundColor: '#000'
});

Ti.Geolocation.purpose = "Moviles";

Titanium.Geolocation.accuracy = Titanium.Geolocation.ACCURACY_BEST;
	Titanium.Geolocation.distanceFilter = 10;
	
	Titanium.Geolocation.getCurrentPosition(function(e) {
    if (e.error) {
        return;
    }
    var longitude = e.coords.longitude;
    var latitude = e.coords.latitude;
    var altitude = e.coords.altitude;
    var heading = e.coords.heading;
    var accuracy = e.coords.accuracy;
    var speed = e.coords.speed;
    var timestamp = e.coords.timestamp;
    var altitudeAccuracy = e.coords.altitudeAccuracy;
  
   
   var mapview = Titanium.Map.createView({
	top: 5,
	height: 650,
	mapType: Titanium.Map.STANDARD_TYPE,
	region:{
		latitude: latitude, 
		longitude: longitude, 
		latitudeDelta:0.5, 
		longitudeDelta:0.5},
	animate: true,
	regionFit: true,
	userLocation: true,
	zoom: 20
});

win1.add(mapview);
 
 var annotation = Titanium.Map.createAnnotation({
	latitude: latitude,
        longitude: longitude,
	title: 'Donde estoy actualmente ',
	subtitle:  'latitude '+latitude+' Longitud '+longitude,
	image: 'linea.png',
});

var annotation2 = Titanium.Map.createAnnotation({
	latitude: 19.415359,
        longitude: -99.070759,
	title: 'Pantitlan',
	subtitle:  'Metro 1',
	image: 'linea.png',
    
});

var annotation3 = Titanium.Map.createAnnotation({
	latitude: 19.303094,
        longitude: -99.15472,
	title: 'Estadio Azteca',
	subtitle:  'Coapa',
	image: 'linea.png',
    leftButton: 'linea.png'
});

var annotation4 = Titanium.Map.createAnnotation({
	latitude: 19.351599,
        longitude: -98.960252,
	title: 'La Paz',
	subtitle:  'Estado de Mexico',
	image: 'linea.png',
    leftButton: 'linea.png'
});

var annotation5 = Titanium.Map.createAnnotation({
	latitude: 19.280684,
        longitude: -98.98819,
	title: 'San buenaventura',
	subtitle:  'Ixtapaluca',
	image: 'linea.png',
    leftButton: 'linea.png'
});

var annotation6 = Titanium.Map.createAnnotation({
	latitude: 19.49083325675177,
        longitude: -99.18631425525778,
	title: 'Metro Azcapotzalco',
	subtitle:  'D.F.',
	image: 'linea.png',
    leftButton: 'linea.png',
    url:'ventana.js' 
});

//Agregamos los puntos del GPS
mapview.addRoutePointLight(annotation6);
mapview.addRoutePointLight(annotation);
mapview.addRoutePointLight(annotation2);
mapview.addRoutePointLight(annotation4);
mapview.addRoutePointLight(annotation5);
mapview.addRoutePointLight(annotation3);
mapview.updateRoute();
    
    //Trazamos las lineas
mapview.addAnnotationLight(annotation6);
mapview.addAnnotationLight(annotation);
mapview.addAnnotationLight(annotation2);
mapview.addAnnotationLight(annotation4);
mapview.addAnnotationLight(annotation5);
mapview.addAnnotationLight(annotation3);
mapview.updateAnnotations();
    
   
    //win1.open();
    
});
return win1;
};